Subject: Re: bug#8890: 23.3; message writing slows emacs

From: Dave Abrahams <[email-masked]>
Date: Sun, 11 Sep 2011 07:30:57 -0400

on Sun Sep 11 2011, Eli Zaretskii <eliz-AT-gnu.org> wrote:

>> From: Dave Abrahams <[email-masked]>
>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 11 Sep 2011 06:45:39 -0400
>> 
>> If you're just updating percentage complete, please don't do
>> it more than once every .5 seconds... at the fastest!
>
> Agreed, but that's something for the application programmers to
> consider, not for the infrastructure.

Well, not necessarily.  If emacs had a built-in, sanctioned "progress"
library, people could use that and it would take care of the problem.

>> > Anyway, can you describe the situation in which you see these flashing
>> > messages?  The only one I can think of is when Emacs starts up and
>> > restores a previous session.  Is that your use case, or did you see
>> > this in other situations?
>> 
>> Yeah, there's something in Gnus, perhaps article expiry, that seems slow
>> mostly because gnus-verbose defaults to 7 and it writes out gobs of
>> messages.  When I turned gnus-verbose down it seemed a lot faster.
>
> Maybe there's something specific to Gnus, then.  In which case it's a
> good thing we have Lars listening ;-)

Maybe.  But it seems like a common enough issue that emacs should
provide application programmers with some tools for avoiding it.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com